classification
Title: Comparison bug in distutils2.version
Type: behavior Stage: resolved
Components: Distutils2 Versions: 3rd party
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: tarek Nosy List: alexis, eric.araujo, francismb, j1m, janjaapdriessen, python-dev, tarek
Priority: high Keywords:

Created on 2012-03-12 19:30 by tarek, last changed 2013-06-25 14:50 by eric.araujo. This issue is now closed.

Messages (6)
msg155464 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2012-03-12 19:31
it gets 3.4.1 for some reason
msg155470 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-03-12 20:08
Can you increase logging level and paste log messages?
msg155473 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-03-12 20:42
More info: The command to reproduce the bug is “pysetup install "zope.event (3.4.0)"”, which gets zope.event 3.4.1.  The bug comes from d2.version.VersionPredicate.match:

>>> predicate = VersionPredicate('zope.event (3.4.0)')
>>> predicate.match('3.4.0')
True
>>> predicate.match('3.4.1')
True
>>> predicate.match('3.4.2')
True
>>> predicate.match('3.6.2')
False
msg155480 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-03-12 21:07
New changeset 1e0ca4594a2a by Tarek Ziade in branch 'default':
Removed the trailing zero wiping (#14264)
http://hg.python.org/distutils2/rev/1e0ca4594a2a
msg191722 - (view) Author: Francis MB (francismb) * Date: 2013-06-23 19:29
What the status of this issue?:
the changeset http://hg.python.org/distutils2/rev/1e0ca4594a2a mentioned in msg155480 seems to add tests (but it hasn't been add to the issue explicitly).

Can the issue be closed?
msg191861 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2013-06-25 14:50
Yes.
History
Date User Action Args
2013-06-25 14:50:27eric.araujosetstatus: open -> closed
versions: - Python 3.3
messages: + msg191861

resolution: fixed
stage: test needed -> resolved
2013-06-23 19:29:42francismbsetnosy: + francismb
messages: + msg191722
2012-03-12 21:07:14python-devsetnosy: + python-dev
messages: + msg155480
2012-03-12 20:42:49eric.araujosetmessages: + msg155473
title: can't install zope.event 3.4.0 -> Comparison bug in distutils2.version
2012-03-12 20:08:31eric.araujosetstage: test needed
messages: + msg155470
versions: + 3rd party, Python 3.3, - Python 2.6, Python 2.7
2012-03-12 19:41:06janjaapdriessensetnosy: + janjaapdriessen
2012-03-12 19:31:12tareksetmessages: + msg155464
2012-03-12 19:30:56tarekcreate